Name:           asm7090
Version:        2.2.29
Release:        1%{?dist}
Summary:        IBM 7090 cross-assembler

Group:          Development/Tools
License:        Public Domain
URL:            http://www.cozx.com/~dpitts/7090
Source0:        ftp://www.cozx.com/pub/ibm709x/%{name}-%{version}.tar.gz


%description
asm7090 is a cross assembler for the IBM 7090 and 7094 computer. It is MAP and
FAP compatible and supports absolute and relocatable assembly. Macros and
conditional assembly are supported. The floating and binary point conversion
for the DEC pseudo op was corrected and supports double precision.  Also,
supported is the FAP mode of assembly and supports multiple assemblies in a
single files as FAP does.  Supports the 7090 macros for 7094 instructions and
CPU model checks.

If IBSYS control cards are at the beginning of assembly source the TITLE and
IBMAP fields are parsed and used to set the appropriate options in the assembly
of the module. The EXECUTE IBSFAP control card is parsed to allow support of
FAP assemblies. The control cards are listed in the listing on a seperate page.

Also supported are the CTSS instructions and pseudo operation codes.


%prep
%setup -q -n %{name}


%build
# parallel make doesn't work
make DEBUG="$RPM_OPT_FLAGS"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install INSTDIR=$RPM_BUILD_ROOT%{_bindir}


%files
%doc README.txt
%{_bindir}/%{name}


%changelog
* Fri May  9 2014 Dan Horák <dan[at]danny.cz> - 2.2.29-1
- updated to 2.2.29

* Tue Aug 14 2012 Dan Horák <dan[at]danny.cz> 2.2.28-1
- updated to 2.2.28

* Sat Apr 14 2012 Dan Horák <dan[at]danny.cz> 2.2.26-1
- updated to 2.2.26

* Tue Sep  6 2011 Dan Horák <dan[at]danny.cz> 2.2.23-1
- updated to 2.2.23

* Thu Nov 18 2010 Dan Horák <dan[at]danny.cz> 2.2.20-1
- updated to 2.2.20

* Wed Aug 18 2010 Dan Horák <dan[at]danny.cz> 2.2.19-1
- updated to 2.2.19

* Thu Apr  1 2010 Dan Horák <dan[at]danny.cz> 2.2.17-1
- updated to 2.2.17

* Fri Dec 11 2009 Dan Horák <dan[at]danny.cz> 2.2.16-1
- updated to 2.2.16

* Wed Apr 29 2009 Dan Horák <dan[at]danny.cz> 2.2.11-1
- initial Fedora version
